VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Enumerations
Steinberg::Vst::NoteExpressionSynth Namespace Reference

## Classes
class | BrownNoise
class | Controller
| Example Note Expression Edit Controller. More...
class | ControllerWithUI
| Example Note Expression Audio Controller + User Interface. More...
class | Filter
struct | GlobalParameterState
class | Processor
| Example Note Expression Audio Processor. More...
class | ProcessorWithUIController
| Example Note Expression Audio Processor + User Interface. More...
class | Voice
| Example Note Expression Synth Voice Class. More...
class | VoiceStatics

## Enumerations
enum | { kParamReleaseTime , kParamNoiseVolume , kParamSinusVolume , kParamTriangleVolume , kParamSinusDetune , kParamBypassSNA , kParamTriangleSlop , kParamFilterType , kParamFilterFreq , kParamFilterQ , kParamMasterVolume , kParamMasterTuning , kParamVelToLevel , kParamFilterFreqModDepth , kParamTuningRange , kParamActiveVoices , kParamSquareVolume , kNumGlobalParameters }
enum | { kParamMIDILearn = kNumGlobalParameters , kParamEnableMPE }
enum | VoiceParameters { kVolumeMod , kTuningMod , kPanningLeft , kPanningRight , kNoiseVolume , kFilterFrequencyMod , kFilterQMod , kSinusVolume , kTriangleVolume , kFilterType , kTriangleSlope , kSinusDetune , kReleaseTimeMod , kSquareVolume , kNumParameters }

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kParamReleaseTime |
kParamNoiseVolume |
kParamSinusVolume |
kParamTriangleVolume |
kParamSinusDetune |
kParamBypassSNA |
kParamTriangleSlop |
kParamFilterType |
kParamFilterFreq |
kParamFilterQ |
kParamMasterVolume |
kParamMasterTuning |
kParamVelToLevel |
kParamFilterFreqModDepth |
kParamTuningRange |
kParamActiveVoices |
kParamSquareVolume |
kNumGlobalParameters |

## ◆ anonymous enum

anonymous enum

Enumerator
kParamMIDILearn |
kParamEnableMPE |

## ◆ VoiceParameters

enum VoiceParameters

Enumerator
kVolumeMod |
kTuningMod |
kPanningLeft |
kPanningRight |
kNoiseVolume |
kFilterFrequencyMod |
kFilterQMod |
kSinusVolume |
kTriangleVolume |
kFilterType |
kTriangleSlope |
kSinusDetune |
kReleaseTimeMod |
kSquareVolume |
kNumParameters |

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.